Bug 3010 - [UPDATE REQUEST] fglrx-13.200.5-2
: [UPDATE REQUEST] fglrx-13.200.5-2
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-29 19:18 MSK by Aleksandr Kazantcev
Modified: 2013-11-05 12:24 MSK (History)
3 users (show)

See Also:
RPM Package: fglrx-13.200.5-2
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments
Xorg.0.log.old (50.60 KB, application/octet-stream)
2013-10-29 22:58 MSK, Postnikov Dmitry
Details
tt5.png (195.08 KB, image/png)
2013-10-30 21:43 MSK, Postnikov Dmitry
Details
tt6.png (180.91 KB, image/png)
2013-10-30 22:42 MSK, Postnikov Dmitry
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aleksandr Kazantcev 2013-10-29 19:18:15 MSK
Update to fix /proc/ati permissions and some bugs with new mesa
Comment 1 Aleksandr Kazantcev 2013-10-29 19:20:34 MSK
https://abf.rosalinux.ru/build_lists/1373185
https://abf.rosalinux.ru/build_lists/1373186

Advisory: This update fix error with permissions on /proc/ati* that unable direct rendering via user (only root). Also we fix build with new mesa > 9.2.x

You may test fix via run
 glxinfo | grep render

If you not see "direct rendering: No (If you want to find out why, try setting LIBGL_DEBUG=verbose)" drivers worked properly for now.
Comment 2 Postnikov Dmitry 2013-10-29 22:57:03 MSK
No work effect "Magic Lamp" in KDE 4.11.2 and OpenGL 3.1 and OpenGL 2.0. When roll window, on monitor all squares or triangles any color.


Error in Xorg.0.log:
=====
[    14.964] ukiOpenByBusid: ukiGetBusid reports PCI:1:0:0
[    14.966] (EE) AIGLX error: failed to open /usr/X11R6/lib64/modules/dri/fglrx_dri.so, error[/usr/X11R6/lib64/modules/dri/fglrx_dri.so: cannot open shared object file: No such file or directory]
[    15.108] ukiDynamicMajor: found major device number 249
=====


glxinfo output:
========
[pastordi@mindlife ~]$ glxinfo | grep render
direct rendering: Yes
OpenGL renderer string: AMD Radeon HD 7700 Series
    GL_KTX_buffer_region, GL_NV_blend_square, GL_NV_conditional_render, 
[pastordi@mindlife ~]$ 
[pastordi@mindlife ~]$ glxgears
38584 frames in 5.0 seconds = 7716.710 FPS
35433 frames in 5.0 seconds = 7086.579 FPS
34031 frames in 5.0 seconds = 6805.940 FPS
29741 frames in 5.0 seconds = 5948.113 FPS
37683 frames in 5.0 seconds = 7536.469 FPS
33355 frames in 5.0 seconds = 6670.948 FPS
37397 frames in 5.0 seconds = 7479.304 FPS
38254 frames in 5.0 seconds = 7650.779 FPS
37230 frames in 5.0 seconds = 7445.906 FPS
[pastordi@mindlife ~]$ 
[pastordi@mindlife ~]$ rpm -qa | grep -i mesa-
mesa-demos-8.0.1-8-rosa2012.1.x86_64
mesa-9.2.1-1-rosa2012.1.x86_64
[pastordi@mindlife ~]$ 
[pastordi@mindlife ~]$ rpm -qa | grep -i fgrlx-
[pastordi@mindlife ~]$ rpm -qa | grep -i fgrlx
[pastordi@mindlife ~]$ rpm -qa | grep -i fglrx
dkms-fglrx-13.200.5-2-rosa2012.1.x86_64
x11-driver-video-fglrx-13.200.5-2-rosa2012.1.x86_64
fglrx-control-center-13.200.5-2-rosa2012.1.x86_64
[pastordi@mindlife ~]$ 
[pastordi@mindlife ~]$ uname -a
Linux mindlife 3.10.9-nrj-desktop-1rosa #1 SMP PREEMPT Tue Aug 27 19:36:40 MSK 2013 x86_64 x86_64 x86_64 GNU/Linux
[pastordi@mindlife ~]$
==========
Comment 3 Postnikov Dmitry 2013-10-29 22:58:33 MSK
Created attachment 2147 [details]
Xorg.0.log.old
Comment 4 Aleksandr Kazantcev 2013-10-29 23:11:27 MSK
I only change permission in /proc/ati and fix build with new mesa glxgears. Package the same as previous.

Please see difference with new and old xorg.conf or regenerate it.
Comment 5 Postnikov Dmitry 2013-10-29 23:31:32 MSK
Hmm... KDE effect "Magic Lamps" not work only program Xchat, Konsole. A Dolphin, Firefox, Controlcenter etc work with "MagicLamps" is OK.

with new kernel 3.10.15
Comment 6 Postnikov Dmitry 2013-10-29 23:35:13 MSK
(In reply to comment #4)
> I only change permission in /proc/ati and fix build with new mesa glxgears.
> Package the same as previous.
> 
> Please see difference with new and old xorg.conf or regenerate it.

Well. I reinstall fglrx, but...  this normal?
=========
[root@mindlife log]# urpme x11-driver-video-fglrx
Для удовлетворения зависимостей будут удалены следующие 2 пакетов (140МБ):
  fglrx-control-center-13.200.5-2-rosa2012.1.x86_64
   (из-за неудовлетворённости x11-driver-video-fglrx == 13.200.5)
  x11-driver-video-fglrx-13.200.5-2-rosa2012.1.x86_64
Удалить 2 пакетов? (y/N) y
удаляется fglrx-control-center-13.200.5-2-rosa2012.1.x86_64 x11-driver-video-fglrx-13.200.5-2-rosa2012.1.x86_64
warning: LOOP:
warning: removing x11-driver-video-fglrx-13.200.5-2.x86_64 "Requires: x11-driver-video-fglrx = 13.200.5" from tsort relations.
warning: removing fglrx-control-center-13.200.5-2.x86_64 "Requires(hint): fglrx-control-center = 13.200.5" from tsort relations.
Подготовка...                    ####################################################################################################################
atieventsd.service is not a native service, redirecting to /sbin/chkconfig.
Executing /sbin/chkconfig atieventsd off
удаляется пакет x11-driver-video-fglrx-13.200.5-2.x86_64
update-alternatives: warning: alternative /etc/fglrx/pxpress-free.ld.so.conf (part of link group gl_conf) doesn't exist; removing from list of alternatives
update-alternatives: warning: alternative /etc/ld.so.conf.d/GL/ati.conf (part of link group gl_conf) doesn't exist; removing from list of alternatives
update-alternatives: warning: /etc/alternatives/gl_conf is dangling; it will be updated with best choice
update-alternatives: using /etc/ld.so.conf.d/GL/standard.conf to provide /etc/ld.so.conf.d/GL.conf (gl_conf) in auto mode
update-alternatives: warning: not removing /etc/X11/XvMCConfig since it's not a symlink
удаляется пакет fglrx-control-center-13.200.5-2.x86_64
[root@mindlife log]#

==============
Comment 7 Postnikov Dmitry 2013-10-29 23:56:05 MSK
Hm... with old fglrx and KDE 4.11.2 effect "Magic Lamps" is WORK OK in ALL program. But /proc/ati permissions. And error in Xorg.0.log.

========
[root@mindlife log]# rpm -qa | grep fglrx
dkms-fglrx-13.200.5-1-rosa2012.1.x86_64
fglrx-control-center-13.200.5-1-rosa2012.1.x86_64
x11-driver-video-fglrx-13.200.5-1-rosa2012.1.x86_64
[root@mindlife log]# 
[root@mindlife log]# uname -a
Linux mindlife 3.10.15-nrj-desktop-1rosa #1 SMP PREEMPT Fri Oct 18 02:26:49 MSK 2013 x86_64 x86_64 x86_64 GNU/Linux
[root@mindlife log]# 
[root@mindlife log]# rpm -qa | grep mesa-
mesa-demos-8.0.1-8-rosa2012.1.x86_64
mesa-9.2.1-1-rosa2012.1.x86_64
[root@mindlife log]#
========

MagicLamps effect + OpenGL 3.1 + KDE 4.11.2:
http://cdn.2safe.com/232149033759/screen-magiclamps2.avi
Comment 8 Aleksandr Kazantcev 2013-10-30 13:37:25 MSK
Try install previous fglrx-13.200.5-1 and manually set

chmod -R 777 /proc/ati*

Will error appear after that?
Comment 9 Postnikov Dmitry 2013-10-30 21:43:51 MSK
Created attachment 2159 [details]
tt5.png

In text:
============
[pastordi@mindlife ~]$ su
Пароль: 
[root@mindlife pastordi]# rpm -qa | grep fglrx
dkms-fglrx-13.200.5-1-rosa2012.1.x86_64
fglrx-control-center-13.200.5-1-rosa2012.1.x86_64
x11-driver-video-fglrx-13.200.5-1-rosa2012.1.x86_64
[root@mindlife pastordi]# 
[root@mindlife pastordi]# exit
exit
[pastordi@mindlife ~]$ glxinfo | grep render
Setting of real/effective user Id to 0/0 failed
libGL error: open uki failed (Operation not permitted)
libGL error: reverting to (slow) indirect rendering
direct rendering: No (If you want to find out why, try setting LIBGL_DEBUG=verbose)
OpenGL renderer string: AMD Radeon HD 7700 Series
[pastordi@mindlife ~]$ 
[pastordi@mindlife ~]$ su
Пароль: 
[root@mindlife pastordi]# ls -l /proc/ati*
итого 0
d--------- 2 root root 0 окт.  30 21:41 0/
-r--r--r-- 1 root root 0 окт.  30 21:41 debug
-r--r--r-- 1 root root 0 окт.  30 21:41 major
[root@mindlife pastordi]# 
[root@mindlife pastordi]# chmod -R 777 /proc/ati*
[root@mindlife pastordi]# 
[root@mindlife pastordi]# exit
exit
[pastordi@mindlife ~]$ glxinfo | grep render
direct rendering: Yes
OpenGL renderer string: AMD Radeon HD 7700 Series
    GL_KTX_buffer_region, GL_NV_blend_square, GL_NV_conditional_render, 
[pastordi@mindlife ~]$ 
[pastordi@mindlife ~]$
==========
Comment 10 Aleksandr Kazantcev 2013-10-30 21:47:41 MSK
All similar new package. Are problems in KDE appear?
Comment 11 Postnikov Dmitry 2013-10-30 22:42:34 MSK
Created attachment 2160 [details]
tt6.png

problems with KDE remained.

In text:
========
[pastordi@mindlife ~]$ su
Пароль: 
[root@mindlife pastordi]# rpm -qa | grep fglrx
dkms-fglrx-13.200.5-2-rosa2012.1.x86_64
x11-driver-video-fglrx-13.200.5-2-rosa2012.1.x86_64
fglrx-control-center-13.200.5-2-rosa2012.1.x86_64
[root@mindlife pastordi]# 
[root@mindlife pastordi]# exit
exit
[pastordi@mindlife ~]$ glxinfo | grep render
direct rendering: Yes
OpenGL renderer string: AMD Radeon HD 7700 Series
    GL_KTX_buffer_region, GL_NV_blend_square, GL_NV_conditional_render, 
[pastordi@mindlife ~]$ 
[pastordi@mindlife ~]$ su
Пароль: 
[root@mindlife pastordi]# ls -l /proc/ati*
итого 0
d--------- 2 root root 0 окт.  30 22:35 0/
-r--r--r-- 1 root root 0 окт.  30 22:35 debug
-r--r--r-- 1 root root 0 окт.  30 22:35 major
[root@mindlife pastordi]# 
[root@mindlife pastordi]# chmod -R 777 /proc/ati*
[root@mindlife pastordi]# 
[root@mindlife pastordi]# exit
exit
[pastordi@mindlife ~]$ glxinfo | grep render
direct rendering: Yes
OpenGL renderer string: AMD Radeon HD 7700 Series
    GL_KTX_buffer_region, GL_NV_blend_square, GL_NV_conditional_render, 
[pastordi@mindlife ~]$
=======
Comment 12 Postnikov Dmitry 2013-10-30 22:56:27 MSK
Wow! I record screencast with problem KDE and this fglrx driver.

http://cdn.2safe.com/265227033758/screen-magiclamps3.avi
Comment 13 Aleksandr Kazantcev 2013-10-31 18:11:41 MSK
Problem with kde magiclamp appeared in all drivers > 13.8 and for many distro (and for 13.8 with fix) and i think this is not big problem but more positive appeared with this update.

For example see this discussion: http://forum.rosalab.ru/viewtopic.php?p=21135#p21135

Or this: http://mib.pianetalinux.org/forum/viewtopic.php?p=23180#p23180
Comment 14 Vladimir Potapov 2013-11-01 18:38:29 MSK
The update route to extended testing
Comment 15 Postnikov Dmitry 2013-11-01 19:35:00 MSK
***********************
Extended testing report
***********************
Amd Control Center start from user and direct rendering is on.
The rest unchanged. The problem with MagicLamp in other distributions, for example: https://answers.launchpad.net/ubuntu/+source/kdebase-workspace/+question/237977
Comment 16 Vladimir Potapov 2013-11-02 05:20:30 MSK
dkms-fglrx-13.200.5-2-rosa2012.1
*********************** Advisory *********************
 This update fix error with permissions on /proc/ati* that unable direct rendering via user (only root). Also we fix build with new mesa > 9.2.x
******************************************************
QA Verified